Gentoo Archives: gentoo-commits

From: Andreas Sturmlechner <asturm@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: eclass/
Date: Mon, 02 Dec 2019 23:35:01
Message-Id: 1575329678.e24133b9a620b7e479f2107a1cfd5e9caf96b197.asturm@gentoo
commit:     e24133b9a620b7e479f2107a1cfd5e9caf96b197
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 16 22:27:31 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Dec  2 23:34:38 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e24133b9

kde.org.eclass: Prefix internal functions as well

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 eclass/kde.org.eclass | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/eclass/kde.org.eclass b/eclass/kde.org.eclass
index 8e13232bb9d..d1cdb1b15dc 100644
--- a/eclass/kde.org.eclass
+++ b/eclass/kde.org.eclass
@@ -77,7 +77,7 @@ case ${CATEGORY} in
 	*) ;;
 esac
 
-_kde_is_unreleased() {
+_kde.org_is_unreleased() {
 	local pair
 	for pair in "${KDE_UNRELEASED[@]}" ; do
 		if [[ "${pair}" = "${CATEGORY}-${PV}" ]]; then
@@ -89,7 +89,7 @@ _kde_is_unreleased() {
 }
 
 # Determine fetch location for released tarballs
-_calculate_src_uri() {
+_kde.org_calculate_src_uri() {
 	debug-print-function ${FUNCNAME} "$@"
 
 	local _src_uri="mirror://kde/"
@@ -144,13 +144,13 @@ _calculate_src_uri() {
 
 	SRC_URI="${_src_uri}${KDE_ORG_NAME}-${PV}.tar.xz"
 
-	if _kde_is_unreleased ; then
+	if _kde.org_is_unreleased ; then
 		RESTRICT+=" fetch"
 	fi
 }
 
 # Determine fetch location for live sources
-_calculate_live_repo() {
+_kde.org_calculate_live_repo() {
 	debug-print-function ${FUNCNAME} "$@"
 
 	SRC_URI=""
@@ -181,9 +181,9 @@ _calculate_live_repo() {
 }
 
 case ${KDE_BUILD_TYPE} in
-	live) _calculate_live_repo ;;
+	live) _kde.org_calculate_live_repo ;;
 	*)
-		_calculate_src_uri
+		_kde.org_calculate_src_uri
 		debug-print "${LINENO} ${ECLASS} ${FUNCNAME}: SRC_URI is ${SRC_URI}"
 		;;
 esac
@@ -199,7 +199,7 @@ fi
 # KDE_UNRELEASED, display a giant warning that the package has not yet been
 # released upstream and should not be used.
 kde.org_pkg_nofetch() {
-	if ! _kde_is_unreleased ; then
+	if ! _kde.org_is_unreleased ; then
 		return
 	fi